Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# packed_dynamic_channel_reference< BitField, NumBits, false > Class Template Reference
[packed_dynamic_channel_reference]

`#include <channel.hpp>`

Inherits boost::gil::detail::packed_channel_reference_base< boost::gil::packed_dynamic_channel_reference< BitField, NumBits, false >, BitField, NumBits, false >.

List of all members.

## Detailed Description

### template<typename BitField, int NumBits>
class boost::gil::packed_dynamic_channel_reference< BitField, NumBits, false >

Models a constant subbyte channel reference whose bit offset is a runtime parameter. Models ChannelConcept Same as packed_channel_reference, except that the offset is a runtime parameter.

## Public Types

typedef const packed_dynamic_channel_reference < BitField, NumBits, false > | const_reference
typedef const packed_dynamic_channel_reference < BitField, NumBits, true > | mutable_reference
typedef parent_t::integer_t | integer_t

## Public Member Functions

| packed_dynamic_channel_reference (const void *data_ptr, unsigned first_bit)
| packed_dynamic_channel_reference (const const_reference &ref)
| packed_dynamic_channel_reference (const mutable_reference &ref)
unsigned | first_bit () const
integer_t | get () const

## Friends

class | packed_dynamic_channel_reference< BitField, NumBits, true >

The documentation for this class was generated from the following file:

- channel.hpp